import { get, post, link, upload } from '@/utils/request'

export const exhibitorsList = get('/api/exhibitors/list')
export const exhibitorsInfo = get('/api/exhibitors/info')
export const exhibitorsCollect = post('/api/exhibitors/collect')
export const exhibitorsLike = post('/api/exhibitors/like')
export const exhibitorsPoll = post('/api/exhibitors/poll')

export const exhibitorsProductList = get('/api/exhibitors/product/list')
export const exhibitorsProductInfo = get('/api/exhibitors/product/info')
export const exhibitorsProductCollect = post('/api/exhibitors/product/collect')
export const exhibitorsProductLike = post('/api/exhibitors/product/like')
export const exhibitorsProductPoll = post('/api/exhibitors/product/poll')

export const exhibitorsNewsList = get('/api/exhibitors/news/list') // 展商新闻
export const exhibitorsNewsInfo = get('/api/exhibitors/news/info')

export const newsList = get('/api/news/exhibit-list') // 展会新闻

export const exhibitorsBoothActivityList = get('/api/exhibitors/booth-activity/list')
export const exhibitorsBoothActivityInfo = get('/api/exhibitors/booth-activity/info')
export const exhibitorsBoothActivityCollect = post('/api/exhibitors/booth-activity/collect')

export const mettingList = get('/api/meeting/get-list') // 同期活动
export const meetingCollect = post('/api/user/meeting/collect')
export const meetingCancelCollect = post('/api/user/meeting/cancel-collect')
export const mettingView = post('/api/user/meeting/view')
export const mettingDesc = get('/api/global/metting-desc')

export const exhibitorsCountryList = get('/api/exhibitors/country/list')
export const productCategoryList = get('/api/product-category/list')
export const applicationAreasList = get('/api/application-areas/list')
export const productAttrList = get('/api/product-attr/list')
export const exhibitorsHallList = get('/api/exhibitors/hall/list')

export const exhibitorsViewLogList = get('/api/exhibitors/view-log')
export const exhibitorsProductViewLogList = get('/api/exhibitors/product/view-log')

export const globalSearch = get('/api/exhibitors/search') // 全局搜索
export const globalPollShow = get('/api/global/poll-show') // 人气是否显示
